com.io7m.jtensors

## Interface MatrixWritable2x2DType

- All Superinterfaces:
    MatrixWritableDType
  All Known Subinterfaces:
    Matrix2x2DType, Matrix3x3DType, Matrix4x4DType, MatrixByteBuffered2x2DType, MatrixByteBuffered3x3DType, MatrixByteBuffered4x4DType, MatrixDirect2x2DType, MatrixDirect3x3DType, MatrixDirect4x4DType, MatrixWritable3x3DType, MatrixWritable4x4DType, PMatrix3x3DType<T0,T1>, PMatrix4x4DType<T0,T1>, PMatrixByteBuffered3x3DType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixDirect3x3DType<T0,T1>, PMatrixDirect4x4DType<T0,T1>, PMatrixWritable2x2DType<T,U>, PMatrixWritable3x3DType<T,U>, PMatrixWritable4x4DType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM2x2D, MatrixByteBufferedM3x3D, MatrixByteBufferedM4x4D, MatrixDirectM2x2D, MatrixDirectM3x3D, MatrixDirectM4x4D, MatrixHeapArrayM2x2D, MatrixHeapArrayM3x3D, MatrixHeapArrayM4x4D, PMatrixByteBufferedM3x3D, PMatrixByteBufferedM4x4D, PMatrixDirectM3x3D, PMatrixDirectM4x4D, PMatrixHeapArrayM3x3D, PMatrixHeapArrayM4x4D

      public interface MatrixWritable2x2DType
      extends MatrixWritableDType

  'Write' interface to 2x2 matrices with `double` elements.
  Since:
    7.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setR0C0D(double x)` Set row 0, column 0 of the matrix to `x`.
    `void` | `setR0C1D(double x)` Set row 0, column 1 of the matrix to `x`.
    `void` | `setR1C0D(double x)` Set row 1, column 0 of the matrix to `x`.
    `void` | `setR1C1D(double x)` Set row 1, column 1 of the matrix to `x`.
    `void` | `setRowWith2D(int row, VectorReadable2DType v)` Set row `row` of the matrix to `v`.
    `void` | `setRowWith2DUnsafe(int row, VectorReadable2DType v)` Set row `row` of the matrix to `v`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableDType

      `setRowColumnD`

- - ### Method Detail

    - #### setRowWith2D

          void setRowWith2D(int row,
                            VectorReadable2DType v)

      Set row `row` of the matrix to `v`.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRowWith2DUnsafe

          void setRowWith2DUnsafe(int row,
                                  VectorReadable2DType v)

      Set row `row` of the matrix to `v`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setR0C0D

          void setR0C0D(double x)

      Set row 0, column 0 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR0C1D

          void setR0C1D(double x)

      Set row 0, column 1 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR1C0D

          void setR1C0D(double x)

      Set row 1, column 0 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR1C1D

          void setR1C1D(double x)

      Set row 1, column 1 of the matrix to `x`.
      Parameters:
        `x` - The value

Copyright © 2015 <code@io7m.com> http://io7m.com